Last Comment Bug 703125 - Memory increase/leak when scrolling page rapidly
: Memory increase/leak when scrolling page rapidly
Status: RESOLVED FIXED
[MemShrink]
: mlk, regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal with 1 vote (vote)
: ---
Assigned To: Joe Drew (not getting mail)
:
Mentors:
Depends on:
Blocks: 685767 702942
  Show dependency treegraph
 
Reported: 2011-11-16 15:35 PST by Jim Jeffery not reading bug-mail 1/2/11
Modified: 2011-11-17 17:37 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jim Jeffery not reading bug-mail 1/2/11 2011-11-16 15:35:30 PST
Testing on several pages, CNN, MSNBC, NeoWin.net shows the problem but I'm sure others may as well.

1. Visit htt://www.Neowin.net 
2. Using scroll-wheel on mouse rapidly scroll page up and down and notice that the memory increases as you continue scrolling up/down.
3. Memory is not released when you stop scrolling.

This results in increased memory use over a period of time as the browser is used over a long period of time.  

Seems to have regressed with merge:
20111114081649 eb84780783ed good
20111114190451 f694183357ec bad (merge) 

Maybe someone could bisect the patches that landed in the merge.

Tested on Win7 x64 m-c hourly builds.
Comment 1 Alice0775 White 2011-11-16 17:57:24 PST
Regression window(m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b1e2ee0bbdb5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111113 Firefox/11.0a1 ID:20111113200306
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/6ae6d3beeaf4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111113 Firefox/11.0a1 ID:20111113203057
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=b1e2ee0bbdb5&tochange=6ae6d3beeaf4
Comment 2 Alice0775 White 2011-11-16 22:25:46 PST
In local build,
built from 6ae6d3beeaf4 : can reproduce
built from e6705f49eaaa : works fine
built from 677fe017e6a0 : works fine
built from b1e2ee0bbdb5 : works fine

Triggered by:
6ae6d3beeaf4	Joe Drew — Bug 685767 - Factor blurring out into its own class, and use it from gfxAlphaBoxBlur. r=mattwoodrow
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-17 10:02:20 PST
I backed out Bug 685767

https://hg.mozilla.org/mozilla-central/rev/b62e6ee5ba9b
Comment 4 Jim Jeffery not reading bug-mail 1/2/11 2011-11-17 12:59:02 PST
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #3)
> I backed out Bug 685767
> 
> https://hg.mozilla.org/mozilla-central/rev/b62e6ee5ba9b

Testing with the latest hourly m-c win32 build I can no longer repo, so the backout fixed the leak.  Leave this open ?  or ?
Comment 5 Joe Drew (not getting mail) 2011-11-17 13:32:48 PST
The backout solved this; I'll work on fixing the leak in the original bug.
Comment 6 Joe Drew (not getting mail) 2011-11-17 17:34:50 PST
Alice, did this happen in a debug build? Did waiting a little make it (maybe only mostly) go away? I'm having issues reproducing this. :(
Comment 7 Joe Drew (not getting mail) 2011-11-17 17:37:00 PST
OK, I can reproduce it in a nightly, so I'll try a non-debug build with symbols.

Note You need to log in before you can comment on or make changes to this bug.